[lime-users] Splash again

Nicolas Pace nico at libre.ws
Tue May 23 16:29:25 UTC 2017


It will replace it

On Tue, 2017-05-23 at 12:57 -0300, bruno vianna wrote:
> thanks a lot!
> do you know if it will work with the vouching system vale.sh?
> 
> On Tue, May 23, 2017 at 2:39 AM, Nicolas Pace <nico at libre.ws> wrote:
> > Hi Guys,
> > 
> > We ended up implementing a captive portal by ourselves.
> > We are polishing it up, you can look at it here:
> > https://github.com/libremesh/pitbull
> > 
> > Regards,
> > 
> > On Mon, 2017-05-22 at 17:45 -0300, bruno vianna wrote:
> > > hey amuza,
> > > 
> > > i have nodogsplash working like you described, just the captive
> > > page,
> > > on lime 1607.
> > > 
> > > i checked your nodogsplash.conf.  i had  comment out the line
> > > 
> > > EnablePreAuth yes
> > > 
> > > to get it to work. Can you try that and let us know if it works?
> > > 
> > > bruno
> > > 
> > > On Mon, May 22, 2017 at 4:18 PM, Amuza <amuza at riseup.net> wrote:
> > > > -----BEGIN PGP SIGNED MESSAGE-----
> > > > Hash: SHA1
> > > > 
> > > > Hi again,
> > > > 
> > > > I still would like to have Nodogsplash or any captive portal
> > > > solution
> > > > working. I don't need authentication, just a splash page. As
> > > > you
> > > > could
> > > > see on my previous message on the thread (below), I was not
> > > > able to
> > > > make it work.
> > > > 
> > > > Is there anyone around using Nodogsplash -or any other captive
> > > > portal-
> > > > willing to share their recipe for success?
> > > > 
> > > > Or maybe have a look into my previous message on the thread,
> > > > including
> > > > the "nds" file I attached -which showed Nodogsplash status,
> > > > logs
> > > > and
> > > > config- and let me know if anything looked wrong?
> > > > 
> > > > Thanks.
> > > > 
> > > > By the way, there is a new Nodogsplash maintenance release [1],
> > > > just
> > > > in case anyone is interested...
> > > > 
> > > > [1] https://github.com/nodogsplash/nodogsplash/releases/tag/v1.
> > > > 0.2
> > > > 
> > > > 
> > > > 
> > > > On 06/04/17 19:01, Amuza wrote:
> > > > > 
> > > > > 
> > > > > On 13/03/17 19:55, Pau wrote:
> > > > > > You can try to install this firmware which includes
> > > > > > standard
> > > > > > nodogsplash and its dependencies into the gateway node:
> > > > > > http://chef.libremesh.org/tmp_builds/ar71xx-generic-16_07/
> > > > > 
> > > > > Thank you! Sorry for the long silence.
> > > > > 
> > > > > > And then install with opkg the patched Nodogsplash from Gui
> > > > > > and
> > > > > > apply the configuration that he proposes.
> > > > > 
> > > > > I installed the firmware Pau prepared. Then I followed
> > > > > Bruno's
> > > > > instructions, that is, Nodogsplash installation and
> > > > > configuration
> > > > > (I think both from Gui). But have not been able to make it
> > > > > work.
> > > > > 
> > > > > I can only access the Internet if I disable Nodogsplash. But
> > > > > if I
> > > > > enable it, I cannot access the Internet and I do not see any
> > > > > splash
> > > > > page .
> > > > > 
> > > > > I cannot ping the router. And the browser does not show
> > > > > anything
> > > > > if
> > > > > I enter my-router-IP-addresss:2050 in the address bar.
> > > > > 
> > > > > If you want to to have a look on nodogsplash status, logs and
> > > > > config please see the attachment.
> > > > > 
> > > > > Thanks!
> > > > > 
> > > > > 
> > > > > 
> > > > > > I might be that you need some opkg --force option, check
> > > > > > the
> > > > > > help of opkg.
> > > > > > Cheers.
> > > > > 
> > > > > 
> > > > > > On 13/03/17 18:53, bruno vianna wrote:
> > > > > > > Amuza, did you try running
> > > > > > > 
> > > > > > > opkg update
> > > > > > > 
> > > > > > > before trying to install the nodogsplash package?
> > > > > > > 
> > > > > > > 
> > > > > > > 
> > > > > > > On Mon, Mar 13, 2017 at 10:02 AM, Pau <pau at dabax.net>
> > > > > > > wrote:
> > > > > > > > 
> > > > > > > > 
> > > > > > > > On 12/03/17 20:34, Amuza wrote:
> > > > > > > > > > AFAIK for the moment there are not plans for
> > > > > > > > > > implementing this. But you could open an issue in
> > > > > > > > > > github
> > > > > > > > > > so it will be more visible to someone able to
> > > > > > > > > > implement
> > > > > > > > > > it.
> > > > > > > > > 
> > > > > > > > > 
> > > > > > > > > I'm not sure if I did right, I don't know much about
> > > > > > > > > Github. I created it at libremesh/lime-packages. Let
> > > > > > > > > me
> > > > > > > > > know if I should modify anything. I'm amuuza there.
> > > > > > > > > 
> > > > > > > > > https://github.com/libremesh/lime-packages/issues/76
> > > > > > > > > 
> > > > > > > > > > Right now, maybe the easiest is to install
> > > > > > > > > > Nodogsplash
> > > > > > > > > > into the gateway(s) node(s).
> > > > > > > > > 
> > > > > > > > > 
> > > > > > > > > Then it is clear, with my limited knowledge and time,
> > > > > > > > > I
> > > > > > > > > have to go for the easiest solution.
> > > > > > > > > 
> > > > > > > > > I have been trying to follow Bruno's advice, but I
> > > > > > > > > have
> > > > > > > > > not been able to install Nodogsplash.
> > > > > > > > > 
> > > > > > > > > Please see below my installation attempt.
> > > > > > > > > 
> > > > > > > > > I also tried to install the dependencies from Barrier
> > > > > > > > > Breaker with the same unfruitful results.
> > > > > > > > > 
> > > > > > > > > And, by the way, why can't I install packages from
> > > > > > > > > the
> > > > > > > > > web?
> > > > > > > > 
> > > > > > > > Because the current libremesh repository does not have
> > > > > > > > all
> > > > > > > > the packets available on openwrt. In this case
> > > > > > > > iptables-mod-ipopt.
> > > > > > > > 
> > > > > > > > I'll try to create a firmware for you with nodogsplash
> > > > > > > > installed and all the dependencies in the next hours.
> > > > > > > > 
> > > > > > > > Cheers.
> > > > > > > > 
> > > > > > > > > --------------------------------------------------
> > > > > > > > > root at LiMe-682c94:~# opkg install nodogsplash Unknown
> > > > > > > > > package 'nodogsplash'. Collected errors: *
> > > > > > > > > opkg_install_cmd: Cannot install package nodogsplash.
> > > > > > > > > root at LiMe-682c94:~# root at LiMe-682c94:~# opkg install
> > > > > > > > > http://chef.altermundi.net/downloads/r44952/ar7
> > > > > > > > > 1xx/packages/routing/nodogsplash_0.9_beta9.9.9-2-
> > > > > > > > > 20150718_043129_a
> > > > 
> > > > r
> > > > > 
> > > > > > > > > 
> > > > 
> > > > 71xx.
> > > > > > > > > 
> > > > > > > > > 
> > > > > 
> > > > > ipk
> > > > > > > > > Downloading
> > > > > > > > > http://chef.altermundi.net/downloads/r44952/ar71xx/pa
> > > > > > > > > ckag
> > > > > > > > > es/routin
> > > > 
> > > > g
> > > > > 
> > > > > > > > > 
> > > > 
> > > > /nodo
> > > > > > > > > 
> > > > > > > > > 
> > > > > 
> > > > > gsplash_0.9_beta9.9.9-2-20150718_043129_ar71xx.ipk.
> > > > > > > > > Installing nodogsplash (0.9_beta9.9.9-2-
> > > > > > > > > 20150718_043129)
> > > > > > > > > to root... Collected errors: *
> > > > > > > > > satisfy_dependencies_for:
> > > > > > > > > Cannot satisfy the following dependencies for
> > > > > > > > > nodogsplash:
> > > > > > > > > * iptables-mod-ipopt * * opkg_install_cmd: Cannot
> > > > > > > > > install
> > > > > > > > > package nodogsplash. root at LiMe-682c94:~#
> > > > > > > > > root at LiMe-682c94:~# opkg install iptables-mod-ipopt
> > > > > > > > > Unknown
> > > > > > > > > package 'iptables-mod-ipopt'. Collected errors: *
> > > > > > > > > opkg_install_cmd: Cannot install package
> > > > > > > > > iptables-mod-ipopt. root at LiMe-682c94:~# root at LiMe-682
> > > > > > > > > c94:
> > > > > > > > > ~#
> > > > > > > > > opkg install
> > > > > > > > > https://downloads.openwrt.org/chaos_calmer/15.0
> > > > > > > > > 5.1/ar71xx/generic/packages/base/iptables-mod-
> > > > > > > > > ipopt_1.4.21-1_ar71x
> > > > 
> > > > x
> > > > > 
> > > > > > > > > 
> > > > 
> > > > .ipk
> > > > > > > > > 
> > > > > > > > > 
> > > > > 
> > > > > Collected errors:
> > > > > > > > > * wfopen:
> > > > > > > > > https://downloads.openwrt.org/chaos_calmer/15.05.1/ar
> > > > > > > > > 71xx
> > > > > > > > > /generic/
> > > > 
> > > > p
> > > > > 
> > > > > > > > > 
> > > > 
> > > > ackag
> > > > > > > > > 
> > > > > > > > > 
> > > > > 
> > > > > es/base/iptables-mod-ipopt_1.4.21-1_ar71xx.ipk:
> > > > > > > > > No such file or directory. * pkg_init_from_file:
> > > > > > > > > Failed
> > > > > > > > > to
> > > > > > > > > extract control file from
> > > > > > > > > https://downloads.openwrt.org/chaos_calmer/15.05.1/ar
> > > > > > > > > 71xx
> > > > > > > > > /generic/
> > > > 
> > > > p
> > > > > 
> > > > > > > > > 
> > > > 
> > > > ackag
> > > > > > > > > 
> > > > > > > > > 
> > > > > 
> > > > > es/base/iptables-mod-ipopt_1.4.21-1_ar71xx.ipk.
> > > > > > > > > root at LiMe-682c94:~# root at LiMe-682c94:~# opkg install
> > > > > > > > > /tmp/iptables-mod-ipopt_1.4.21-1_ar71xx.ipk
> > > > > > > > > Installing
> > > > > > > > > iptables-mod-ipopt (1.4.21-1) to root... Collected
> > > > > > > > > errors:
> > > > > > > > > * satisfy_dependencies_for: Cannot satisfy the
> > > > > > > > > following
> > > > > > > > > dependencies for iptables-mod-ipopt: *    kmod-ipt-
> > > > > > > > > ipopt
> > > > > > > > > *
> > > > > > > > > * opkg_install_cmd: Cannot install package
> > > > > > > > > iptables-mod-ipopt. root at LiMe-682c94:~# root at LiMe-682
> > > > > > > > > c94:
> > > > > > > > > ~#
> > > > > > > > > root at LiMe-682c94:~# opkg install
> > > > > > > > > https://downloads.openwrt.org/chaos_calmer/15.05.1/ar
> > > > > > > > > 71
> > > > > > > > > xx/generic/packages/base/kmod-ipt-ipopt_3.18.23-
> > > > > > > > > 1_ar71xx.ipk
> > > > > > > > >  Collected errors: * wfopen:
> > > > > > > > > https://downloads.openwrt.org/chaos_calmer/15.05.1/ar
> > > > > > > > > 71xx
> > > > > > > > > /generic/
> > > > 
> > > > p
> > > > > 
> > > > > > > > > 
> > > > 
> > > > ackag
> > > > > > > > > 
> > > > > > > > > 
> > > > > 
> > > > > es/base/kmod-ipt-ipopt_3.18.23-1_ar71xx.ipk:
> > > > > > > > > No such file or directory. * pkg_init_from_file:
> > > > > > > > > Failed
> > > > > > > > > to
> > > > > > > > > extract control file from
> > > > > > > > > https://downloads.openwrt.org/chaos_calmer/15.05.1/ar
> > > > > > > > > 71xx
> > > > > > > > > /generic/
> > > > 
> > > > p
> > > > > 
> > > > > > > > > 
> > > > 
> > > > ackag
> > > > > > > > > 
> > > > > > > > > 
> > > > > 
> > > > > es/base/kmod-ipt-ipopt_3.18.23-1_ar71xx.ipk.
> > > > > > > > > root at LiMe-682c94:~# root at LiMe-682c94:~#
> > > > > > > > > root at LiMe-682c94:~# opkg install
> > > > > > > > > /tmp/kmod-ipt-ipopt_3.18.23-1_ar71xx.ip k Installing
> > > > > > > > > kmod-ipt-ipopt (3.18.23-1) to root... Collected
> > > > > > > > > errors: *
> > > > > > > > > satisfy_dependencies_for: Cannot satisfy the
> > > > > > > > > following
> > > > > > > > > dependencies for kmod-ipt-ipopt: *    kernel (=
> > > > > > > > > 3.18.23-1-b2f200610f46d20ef52d269421369d0c) * *
> > > > > > > > > opkg_install_cmd: Cannot install package kmod-ipt-
> > > > > > > > > ipopt.
> > > > > > > > > root at LiMe-682c94:~# root at LiMe-682c94:~# cat
> > > > > > > > > /etc/banner
> > > > > > > > > _______                     ________        __ |
> > > > > > > > > > .-----.-----.-----.|  |  |  |.----.|  |_
> > > > > > > > > > >   -   ||  _  |
> > > > > > > > > 
> > > > > > > > > -__|     ||  |  |  ||   _||   _| |_______||
> > > > > > > > > __|_____|__|__||________||__|  |____| |__| W I R E L
> > > > > > > > > E S
> > > > > > > > > S
> > > > > > > > > F R E E D O M
> > > > > > > > > -----------------------------------------------------
> > > > > > > > > CHAOS CALMER (Chaos Calmer, r49403)
> > > > > > > > > -----------------------------------------------------
> > > > > > > > > * 1
> > > > > > > > > 1/2 oz Gin            Shake with a glassful * 1/4 oz
> > > > > > > > > Triple
> > > > > > > > > Sec of broken ice and pour * 3/4 oz Lime Juice
> > > > > > > > > unstrained into a goblet. * 1 1/2 oz Orange Juice * 1
> > > > > > > > > tsp.
> > > > > > > > > Grenadine Syrup
> > > > > > > > > -----------------------------------------------------
> > > > > > > > > ___
> > > > > > > > > __ __                _______             __
> > > > > > > > > |   |_|__|
> > > > > > > > > > --.----.-----.|   |   |-----.-----|  |--.
> > > > > > > > > > |     |  |  _
> > > > > > > > > > _|  -__||       |  -__|__ --|     |
> > > > > > > > > > |_____|__|_____|__|
> > > > > > > > > > _____||__|_|__|_____|_____|__|__|
> > > > > > > > > 
> > > > > > > > > ---------------------------------------------------
> > > > > > > > > ---
> > > > > > > > > LiMe 16.07 CommunityChaos (16.07 rev.5fbd38f
> > > > > > > > > 20160913_2151)
> > > > > > > > >  --------------------------------------------------
> > > > > > > > > ----
> > > > > > > > > http://libremesh.org
> > > > > > > > > ---------------------------------------------------
> > > > > > > > > ---
> > > > > > > > > root at LiMe-682c94:~#
> > > > > > > > > _______________________________________________ lime-
> > > > > > > > > users
> > > > > > > > > mailing list lime-users at lists.libremesh.org
> > > > > > > > > https://lists.libremesh.org/mailman/listinfo/lime-use
> > > > > > > > > rs
> > > > > > > > > 
> > > > > > > > 
> > > > > > > > -- ./p4u
> > > > > > > > 
> > > > > > > > 
> > > > > > > > _______________________________________________ lime-
> > > > > > > > users
> > > > > > > > mailing list lime-users at lists.libremesh.org
> > > > > > > > https://lists.libremesh.org/mailman/listinfo/lime-users
> > > > > > > 
> > > > > > > 
> > > > > > > 
> > > > > 
> > > > > 
> > > > > 
> > > > > > _______________________________________________ lime-users
> > > > > > mailing list lime-users at lists.libremesh.org
> > > > > > https://lists.libremesh.org/mailman/listinfo/lime-users
> > > > > 
> > > > > 
> > > > > 
> > > > > 
> > > > > _______________________________________________ lime-users
> > > > > mailing
> > > > > list lime-users at lists.libremesh.org
> > > > > https://lists.libremesh.org/mailman/listinfo/lime-users
> > > > > 
> > > > 
> > > > -----BEGIN PGP SIGNATURE-----
> > > > Version: GnuPG v2.0.22 (GNU/Linux)
> > > > 
> > > > iQIcBAEBAgAGBQJZIzl5AAoJEF2FWO6p8n2eSuwQANWdSANUGQSxy8K8jA2pk8O
> > > > 5
> > > > ICjSH99id2rvAZHYVumba9HYqL+lW3AguAJnqs8cHrS7ZxTZuWmT36PG3yrvm76
> > > > k
> > > > 5FCaERMHOGz7U1swSADWt5DzIDrk2sHoyHEpQWNZKQC4rfTr57z1C/5Yh/LrlQP
> > > > 7
> > > > ydmIXVz3lob/E1IZ3loKwJXVKasn/iNu2bRV2qjxfaH8bX1y7DZsTvyGSg7E6eW
> > > > e
> > > > zYm1cRyjfvGgBe2NOGWT2Rv7Jigzr2o5YSfR21VFX3yFmiWzfZZhRCsk9FHmmK1
> > > > T
> > > > dWX3dNxYFDNfOWZZxK48Dwsg1iTrCWWfJtGoKdDBvjfAnQR0MiXrH+pjrVdFJum
> > > > M
> > > > bUell7QQkt/V3c6mXnNjIXSU45dZ6tEfjUaCrxKzlm4qE177Umt5tSng6fP6qs4
> > > > C
> > > > 0iC685EEshJLfPO0AYsAz7g2hbxlQTuvZsNMKBCcO4AYQ9usyZj4bbebEVU5TrK
> > > > /
> > > > bRDHKXmBEKlKNIUTrkIpev5tMX6ZrQj5O3UP4dj4hRodG5E2pq3/my/td87stHu
> > > > W
> > > > fJHnOpz3l6YbD5rONnPLJhn8h/QIucvhHHPirtuLKAkd9eKkcgAYB9JbuvldSBy
> > > > T
> > > > DRML6noXYG/tPc86z4wRTG0p1uYnMOBXHieaZVHvQKkaISmq52uTimlK+guwEwP
> > > > +
> > > > 8oCS5WoQa345fpDlZgiL
> > > > =Mzsc
> > > > -----END PGP SIGNATURE-----
> > > > _______________________________________________
> > > > lime-users mailing list
> > > > lime-users at lists.libremesh.org
> > > > https://lists.libremesh.org/mailman/listinfo/lime-users
> > > 
> > > 
> > > 
> > 
> > _______________________________________________
> > lime-users mailing list
> > lime-users at lists.libremesh.org
> > https://lists.libremesh.org/mailman/listinfo/lime-users
> 
> 
> 
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 801 bytes
Desc: This is a digitally signed message part
URL: <http://lists.libremesh.org/pipermail/lime-users/attachments/20170523/81c98e14/attachment.sig>


More information about the lime-users mailing list